<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function doPay( form )
{
	getOrderIdAndGoGate( form.sum.value );
	return false;
}

function getOrderIdAndGoGate( sum )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'getOrderId', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: sum }, 
		function( data )
		{
			var form = jQuery( "#netpayGateForm" )[0];
			form.data.value = data.data;
			form.expire.value = data.expire;
			form.auth.value = data.auth;
			form.submit();
		}
	);
}
</script>

<form action="${dataMap['gateUrl']}" method="post" id="netpayGateForm">
	<input type="hidden" name="data"/>
	<input type="hidden" name="expire"/>
	<input type="hidden" name="auth"/>
</form>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="netpay" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис Net Pay</c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="netpayListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth1024">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="netpayListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="netpayListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#netpayListForm')[0].status.value=this.value;jQuery('#netpayListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}"${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach></td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" maxFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="4" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>